// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <stdint.h>

typedef struct {
  int32_t x, y, z;
} chunk_t;

/**
 * Loads a given chunk into the memory specified.
 * 
 * @param chunk Chunk to load into.
 * @param x X of the chunk.
 * @param y Y of the chunk.
 * @param z Z of the chunk.
 */
void chunkLoad(chunk_t *chunk, int32_t x, int32_t y, int32_t z);

/**
 * Unload a given chunk.
 * 
 * @param chunk Chunk to unload.
 */
void chunkUnload(chunk_t *chunk);